> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Create a new project.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects:
    post:
      tags:
        - projects
      summary: Create Project
      description: Create a new project.
      operationId: create_project_v2_projects_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreate'
              examples:
                - name: my_first_project
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ProjectCreate:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        type:
          $ref: '#/components/schemas/ProjectType'
          default: gen_ai
        create_example_templates:
          type: boolean
          title: Create Example Templates
          default: false
      type: object
      required:
        - name
      title: ProjectCreate
    ProjectCreateResponse:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        type:
          anyOf:
            - $ref: '#/components/schemas/ProjectType'
            - type: 'null'
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - created_at
        - updated_at
      title: ProjectCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectType:
      type: string
      enum:
        - prompt_evaluation
        - llm_monitor
        - protect
        - gen_ai
      title: ProjectType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````